Skip to main content
GET
/
v1
/
products
/
{productId}
/
problems
/
{problemId}
Get a problem
curl --request GET \
  --url https://getkontext.io/api/v1/products/{productId}/problems/{problemId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "slug": "<string>",
  "name": "<string>",
  "statement": "<string>",
  "statementFormat": "text",
  "status": "unreviewed",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://getkontext.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (ktx_key_*) or session Bearer token

Path Parameters

productId
string
required
problemId
string
required

Response

Problem details

id
string
required
slug
string | null
required
name
string
required
statement
string | null
required
statementFormat
enum<string>
required
Available options:
text,
json,
html,
markdown
status
enum<string>
required
Available options:
unreviewed,
draft,
published,
archived
createdAt
string<date-time>
required
updatedAt
string<date-time>
required